#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.stm.tudelft.nl)                              *
# Date : 13 May 2004                                                         *
#                                                                            *
#*****************************************************************************

.first
	define atk [-.atk]

.c.obj
	copy vms.h,$(MMS$TARGET_NAME).c $(MMS$TARGET_NAME).c_
	cc $(CFLAGS) $(MMS$TARGET_NAME).c_
	delete $(MMS$TARGET_NAME).c_;*

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/reent=multi\
	/define=("HAVE_CONFIG_H=1","G_DISABLE_DEPRECATED=1",\
	"G_GNUC_INTERNAL= ")/include=([],[-])

OBJS=atkaction.obj,atkcomponent.obj,atkdocument.obj,\
atkeditabletext.obj,atkgobjectaccessible.obj,atkhyperlink.obj,\
atkhypertext.obj,atkimage.obj,atknoopobject.obj,atknoopobjectfactory.obj,\
atkobject.obj,atkobjectfactory.obj,atkregistry.obj,atkrelation.obj,\
atkrelationset.obj,atkselection.obj,atkstate.obj,atkstateset.obj,\
atkstreamablecontent.obj,atktable.obj,atktext.obj,atkutil.obj,atkvalue.obj,\
atk-enum-types.obj

atk_headers = \
	atk.h\
	atkaction.h\
	atkcomponent.h\
	atkdocument.h\
	atkeditabletext.h\
	atkgobjectaccessible.h\
	atkhyperlink.h\
	atkhypertext.h\
	atknoopobject.h\
	atknoopobjectfactory.h\
	atkobject.h\
	atkobjectfactory.h\
	atkimage.h\
	atkregistry.h\
	atkrelation.h\
	atkrelationtype.h\
	atkrelationset.h\
	atkselection.h\
	atkstate.h\
	atkstateset.h\
	atkstreamablecontent.h\
	atktable.h\
	atktext.h\
	atkutil.h\
	atkvalue.h

all : atkmarshal.h atkmarshal.c atk-enum-types.h atk-enum-types.c $(OBJS)
	library/create [-]libatk.olb $(OBJS)

atkmarshal.h : atkmarshal.list
	pipe mc gnome$root:[exe]glib-genmarshal.exe --prefix=atk_marshal atkmarshal.list --header > atkmarshal.h

atkmarshal.c : atkmarshal.list
	pipe mc gnome$root:[exe]glib-genmarshal.exe --prefix=atk_marshal atkmarshal.list --body > atkmarshal.c

atk-enum-types.h : $(atk_headers)
	pipe perl gnome$root:[perl]glib-mkenums.pl \
			--fhead "#ifndef __ATK_ENUM_TYPES_H__\n#define __ATK_ENUM_TYPES_H__\n\n#include <glib-object.h>\n\nG_BEGIN_DECLS\n" \
			--fprod "/* enumerations from ""@filename@"" */\n" \
			--vhead "GType @enum_name@_get_type (void);\n#define ATK_TYPE_@ENUMSHORT@ (@enum_name@_get_type())\n"         \
			--ftail "G_END_DECLS\n\n#endif /* __ATK_ENUM_TYPES_H__ */" \
		$(atk_headers) > atk-enum-types.h

atk-enum-types.c : $(atk_headers)
	pipe perl gnome$root:[perl]glib-mkenums.pl \
			--fhead "#include <atk.h>" \
			--fprod "\n/* enumerations from ""@filename@"" */" \
			--vhead "GType\n@enum_name@_get_type (void)\n{\n  static GType etype = 0;\n  if (etype == 0) {\n    static const G@Type@Value values[] = {"     \
			--vprod "      { @VALUENAME@, ""@VALUENAME@"", ""@valuenick@"" }," \
			--vtail "      { 0, NULL, NULL }\n    };\n    etype = g_@type@_register_static (""@EnumName@"", values);\n  }\n  return etype;\n}\n" \
		$(atk_headers) > atk-enum-types.c

atkaction.obj : atkaction.c
atkcomponent.obj : atkcomponent.c
atkdocument.obj : atkdocument.c
atkeditabletext.obj : atkeditabletext.c
atkgobjectaccessible.obj : atkgobjectaccessible.c
atkhyperlink.obj : atkhyperlink.c
atkhypertext.obj : atkhypertext.c
atkimage.obj : atkimage.c
atknoopobject.obj : atknoopobject.c
atknoopobjectfactory.obj : atknoopobjectfactory.c
atkobject.obj : atkobject.c
atkobjectfactory.obj : atkobjectfactory.c
atkregistry.obj : atkregistry.c
atkrelation.obj : atkrelation.c
atkrelationset.obj : atkrelationset.c
atkselection.obj : atkselection.c
atkstate.obj : atkstate.c
atkstateset.obj : atkstateset.c
atkstreamablecontent.obj : atkstreamablecontent.c
atktable.obj : atktable.c
atktext.obj : atktext.c
atkutil.obj : atkutil.c
atkvalue.obj : atkvalue.c
atk-enum-types.obj : atk-enum-types.c
